# Swiftc

@Incubating
interface Swiftc : NativeToolChain

The Swift Compiler tool chain.

#### Since

4.1

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getPath
Link copied to clipboard
abstract fun getPath(): List<File>
The paths setting required for executing the tool chain.
path
Link copied to clipboard
abstract fun path(pathEntries: Array<Any>)
Append an entry or entries to the tool chain path.